<template>
<div>
<newdata @quoteadded='addquote'></newdata>
 <appquotegrid :quotes='quotes'></appquotegrid></div>
</template>

<script>
import quotegrid from './components/quotegrid.vue';
import newquote from './components/newquote.vue';
export default {
  data () {
    return {
      quotes:[
        'this is the starting quote'
      ],
      maxquotes:10
    }
  },
  methods: {
    addquote(quote)
    {
      this.quotes.push(quote);
      // console.log('event called');
    }
  },
  components:{
    appquotegrid:quotegrid,
    newdata:newquote
  } 
}
</script>

<style>
</style>
